package com.engine.salary.mapper.formula;

import com.engine.salary.entity.salaryformula.po.FormulaVar;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface FormulaVarMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<FormulaVar> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<FormulaVar> listSome(FormulaVar formulaVar);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	FormulaVar getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param formulaVar 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(FormulaVar formulaVar);

	/**
     * 修改，忽略null字段
     *
     * @param formulaVar 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(FormulaVar formulaVar);

    void deleteByFormulaId(Long formulaId);

	void deleteInFormulaIds(@Param("formulaIds") List<Long> formulaIds,@Param("yesterday") Date yesterday);
}